partial model PartialContactModel "interface for all contact models" 
  
  annotation (Documentation(info="<HTML>
<p>
This model element ist the interface for all contact models <br>
It contains all the variables you may need to create your own contact model.<br>
</p> 
</HTML>
"), Diagram(Line(points=[-20,100; -20,40; 40,40; 40,-100; 100,-100;
            100,100; -20,100], style(color=3, rgbcolor={0,0,255}))));
  
  parameter Modelica.SIunits.Diameter pulleyDiameter annotation(Hide=true);
  parameter Modelica.SIunits.Mass beltMass annotation(Hide=true);
  parameter Modelica.SIunits.AngularVelocity slip_w_start annotation(Hide=true);
  input Modelica.SIunits.Force spanForceVec_a[3];
  input Modelica.SIunits.Force spanForceVec_b[3];
  input Modelica.SIunits.Length spanLength_a;
  input Modelica.SIunits.Length spanLength_b;
  input Modelica.SIunits.Angle wrapAngle;
  Modelica.SIunits.Length WALength;
  
protected 
  Modelica.Mechanics.Rotational.Interfaces.Flange_a flangeBelt 
    annotation (extent=[-30,60; -10,80]);
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flangePulley 
    annotation (extent=[30,-90; 50,-70]);
equation 
  WALength =  wrapAngle * pulleyDiameter/2;
  
end PartialContactModel;
