partial model PartialParameterizedSurface 
  "Visualize parameterized surface x=x(u,v), y=y(u,v), z=z(u,v)" 
  
  output Real Form=987000 + 57 annotation (Hide=false);
  output Real material annotation (Hide=false);
  output Real extra annotation (Hide=false);
  output Real NumberOfU annotation (Hide=false);
  output Real NumberOfV annotation (Hide=false);
  output Real x[nu, nv] annotation (Hide=false);
  output Real y[nu, nv] annotation (Hide=false);
  output Real z[nu, nv] annotation (Hide=false);
  parameter Integer nu(min=2) = 2 "Number of points along surface parameter 1";
  parameter Integer nv(min=2) = 2 "Number of points along surface parameter 2";
  parameter Modelica.Mechanics.MultiBody.Types.Color color={255,0,0} "Color";
  parameter Real specularCoefficient(min=0) = 0.7 "Ambient light reflection";
  parameter Real Extra=0.0 "Additional parameters.";
  
  annotation (Coordsys(extent=[-100, -100; 100, 100]));
equation 
  NumberOfU = nu;
  NumberOfV = nv;
  material = PackMaterial(
        color[1]/255.0,
        color[2]/255.0,
        color[3]/255.0,
        specularCoefficient);
  extra = Extra;
end PartialParameterizedSurface;
