model FreePulley "Rotatable pulley with a free position in space" 
  
  annotation (Documentation(info="<HTML>
 <p>
  <IMG SRC=\"../Pics/FreePulley.png\"
</p> 
<p>
<p>
This model element describes a pulley which has a free position in space and is rotatable. It can be connected to either the double or the <br>
single lever at frame_b.<br>
The maximum transmissible momentum in the rotation axis, which is limited to the eytelwein torque, is calculated.<br>
If the calculated torque, which is acting on the pulley, exceeds the eytelwein equation only the eytelwein torque will be transmitted.<br>
Fmax and Fmin represent the span forces, see the equations in the following lines. 
</p>
<p>
  <IMG SRC=\"../Pics/PulleyEq.JPG\"
</p>
<p>
When the animation is running, it is sometimes useful to display the position markers. An increasing angle between the inner black and <br> 
the outer red postion marker indicates, that there is slippage between the belt and the pulley.<br>
If you want to make some screenshots it is nice to display some finer details of the pulley. After dragging the pulley to your modeling <br>
area, doubleclick on the pulley and select the <b>Animation</b> tab. By now it is possible to select different pulley shapes in the <br>
<b>pulleyShape</b> pull down menu. <br>Click <a href=\"..\UsersGuide\Dynamic Simulation of Automobile Accessory Drives.pdf\">
<b>here</b></a> for more information. 
</HTML>
"), Diagram);
  
extends Belts.Interfaces.PartialPulley;
  
  annotation (Icon(
         Line(points=[0,-16; 0,-80], style(
          color=0,
          rgbcolor={0,0,0},
          pattern=3)), Ellipse(extent=[-16,16; 16,-16], style(
          color=0,
          rgbcolor={0,0,0},
          pattern=3))), Diagram);
end FreePulley;
