model BasicPulley "Simple cylinder" 
  extends Interfaces.PartialPulleyShape;
  
  Modelica.Mechanics.MultiBody.Frames.Orientation R=
    Modelica.Mechanics.MultiBody.Frames.axisRotation(axis=3, angle=rotation, der_angle=der(rotation));
  
  Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape PulleyShape(shapeType = "cylinder",
    r=pulleyPosition + {0, 0, -width*1.2/2}, length = width*1.2, width= diameter, height= diameter, extra = 0, R = R,
    lengthDirection = {0, 0, 1}, color = color, widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  
  annotation (Icon(
    Ellipse(extent=[-60,60; 60,-60], style(
          color=0,
          rgbcolor={0,0,0},
          fillColor=30,
          rgbfillColor={215,215,215}))));
end BasicPulley;
