model PulleyBoard "Pulley visualizer with board" 
  
  extends Interfaces.PartialPulleyShape;
  extends Belts.Visualizers.Pulleys.PulleyHub;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape Brd1_cy1(shapeType = "pipe",
    r=pulleyPosition + {0, 0, width/2}, length = width*0.06, width= (diameter + beltHeight), extra = 0.9, R = R,
    height= (diameter + beltHeight), lengthDirection = {0, 0, 1}, color = color,
    widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape Brd1_cy2(shapeType = "pipe",
    r=pulleyPosition + {0, 0, -width/2}, length = width*0.06, width= (diameter + beltHeight), extra = 0.9, R = R,
    height= (diameter + beltHeight), lengthDirection = {0, 0, -1}, color = color,
    widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape phase_1(shapeType = "cone",
    r=pulleyPosition + {0, 0, -width/2-width*0.06}, length = width*0.04, width= (diameter + beltHeight), extra = 0.96, R = R,
    height= (diameter + beltHeight), lengthDirection = {0, 0, -1}, color = color,
    widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape phase_2(shapeType = "cone",
    r=pulleyPosition + {0, 0, width/2+width*0.06}, length = width*0.04, width= (diameter + beltHeight), extra = 0.96, R = R,
    height= (diameter + beltHeight), lengthDirection = {0, 0, 11}, color = color,
    widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  
  annotation (Icon(
    Ellipse(extent=[-58,58; 58,-58], style(color=0, rgbcolor={0,0,0}))));
end PulleyBoard;
