model PulleyHub "Pulley visualizer with a hub" 
  extends Interfaces.PartialPulleyShape;
  extends Belts.Visualizers.Pulleys.BasicPulley;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape hub(shapeType = "pipe",
    r=pulleyPosition + {0,  0, -width*1.2*1.2/2},
    length = 1.2*width*1.2,
    width= diameter/7,
    height= diameter/7,
    extra = 0.5,
    R = R,
    lengthDirection = {0, 0, 1},
    color = color,
    widthDirection = {0, 1, 0},
    specularCoefficient=specularCoefficient) if animate;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape phase1(shapeType = "cone",
    r=pulleyPosition + {0,  0, width*1.2/2}, length = 0.05*1.2^2*width, width= diameter/7*1.05, height= diameter/7*1.05, extra = 0.75, R = R,
    lengthDirection = {0, 0, 1}, color = color, widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  
Modelica.Mechanics.MultiBody.Visualizers.Advanced.Shape phase2(shapeType = "cone",
    r=pulleyPosition + {0,  0, -width*1.2/2}, length = 0.05*1.2^2*width, width= diameter/7*1.05, height= diameter/7*1.05, extra = 0.75, R = R,
    lengthDirection = {0, 0, -1}, color = color, widthDirection = {0, 1, 0},specularCoefficient=specularCoefficient) if animate;
  annotation (Icon(Ellipse(extent=[-12,12; 12,-12], style(color=0, rgbcolor={0,
              0,0}))));
end PulleyHub;
