package Belts "Library for the analysis of belt drive systems"
extends Modelica.Icons.Library2;

 annotation (version="2.2",uses(Modelica(version="2.2.2")), classOrder={"UsersGuide","Examples","Functions","Interfaces","ModelElements","Types","Defaults","Visualizers"},preferedView="info",Documentation(info="<html>
<p>
The <b>Belts</b> library includes elements for the static and dynamic analysis of belt drive systems.
</p>
<p> 
  This library is free software under the terms of a <a href=\"Modelica://Belts.UsersGuide.License\">extended modelica license</a>.
</p>
<p>
<img src=\"../Pics/Layouts.PNG\">
</p>
<p>
 It is assumed that the belt drive is a planar system. The most important
elements of the model include the following:
</p>
<p>
- belt pulleys with fixed axis and specified rotation
</p> 
<p>
- belt spans as idealized spring/damper elements (Kelvin-Voigt model)
</p> 
<p>
- belt spans capable of transversal vibrations
</p> 
<p>
- belt pulleys whose axis of rotation is connected to a <tr><td><a href=\"Modelica://Modelica.Mechanics.MultiBody.Interfaces.Frame_b\">frame</a></td>
  </tr> from the  <tr><td><a href=\"Modelica://Modelica.Mechanics.MultiBody\">MultiBody</a></td>
  </tr> library
</p>
<p>
Detailed information about modeling aspects of this library is available in <a href=\"..\UsersGuide\Dynamic Simulation of Automobile Accessory Drives.pdf\">
english</a> and <a href=\"..\UsersGuide\Dynamiksimulation von PKW-Nebenaggregatetrieben.pdf\">
german</a> language.
</p> 
<p>
Copyright &copy; 2008, Schaeffler KG, Herzogenaurach
</p> 
</p>
</html>"),
  Icon(
    Ellipse(extent=[10,-4; 50,-44], style(
        color=0,
        rgbcolor={0,0,0},
        fillColor=30,
        rgbfillColor={215,215,215},
        fillPattern=1)),
    Ellipse(extent=[-70,-4; -30,-44], style(
        color=0,
        rgbcolor={0,0,0},
        fillColor=30,
        rgbfillColor={215,215,215},
        fillPattern=1)),
    Line(points=[-50,-4; 30,-4], style(
        color=1,
        rgbcolor={255,0,0},
        fillColor=30,
        rgbfillColor={215,215,215},
        fillPattern=1)),
    Line(points=[-50,-44; 30,-44], style(
        color=1,
        rgbcolor={255,0,0},
        fillColor=30,
        rgbfillColor={215,215,215},
        fillPattern=1)),
    Ellipse(extent=[-51,-23; -49,-25], style(color=0, rgbcolor={0,0,0})),
    Ellipse(extent=[29,-23; 31,-25], style(color=0, rgbcolor={0,0,0}))),
  Diagram);
end Belts;
